#ifndef _IRQ_H
#define _IRQ_H

#include <types.h>

typedef void (*irq_func_t)(void);

void irq_init(void);

void irq_handler(uint8_t irq_number);

void set_irq_handler(uint32_t num, irq_func_t* handler);
void add_irq_handler(uint32_t num, irq_func_t* handler);

#endif
