/* Defines a abstract base for I/O in the Espresso kernel. */

#ifndef ESPRESSO_IO_H
#define ESPRESSO_IO_H

#include <stdint.h>

void print(const char* str);

char* input(uint8_t dev=0);

void writefile(uint8_t mode, char* file, char* data);
char* readfile(char* file);

#endif
